Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data
Interface Data

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  Entity, Entry, Nubblet, RESULT

    public interface Data

extends java.io.Serializable

This defines a piece of data and the methods of managing it.

Version:
  1.0

  Version History

       EPG - Rewrite from another project - 22 MAY 04
       EPG - Weld in result types - 7 JUN 05

Author:
  Erich P. Gatejen

Nested Class Summary
`static class` | `Data.Priority` Priority of the data.
`static class` | `Data.Type` Type of Data.

Field Summary
`static long` | `serialVersionUID`

Method Summary
`WhoAmI` | `birthMyChild(java.lang.String childsName)` Create a child ID using the given name.
`WhoAmI` | `birthMyChild(java.lang.String childsName, java.lang.String childsTag)` Create a child ID using the given name and tag.
`AttributeReader` | `getAttributes()` Get the attributes.
`WhoAmI` | `getCreatorID()` Get the creator's ID.
`WhoAmI` | `getID()` Get the objects ID.
`int` | `getNumeric()` Get the numeric value.
`java.lang.String` | `getNumericString()` Get the numeric value.
`Data.Priority` | `getPriority()` Get the priority.ed.
`long` | `getStamp()` Get the timestamp.
`java.lang.Object` | `getThing()` Get the thing (Object).
`Data.Type` | `getType()` Get the type.
`java.lang.String` | `toString()` Give a textual representation of the data.

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Method Detail

### birthMyChild

    WhoAmI birthMyChild(java.lang.String childsName)

  Create a child ID using the given name.

  Parameters:
    `childsName` - the given name for the child.
  Returns:
    the textual representation of the ID.
  See Also:
    `WhoAmI`

### birthMyChild

    WhoAmI birthMyChild(java.lang.String childsName,
                        java.lang.String childsTag)

  Create a child ID using the given name and tag. It must yield the same ID if the same value is used for childsName.

  Parameters:
    `childsName` - the given name for the child.
    `childsTag` - the tag for the child.
  Returns:
    the id
  See Also:
    `WhoAmI`

### toString

    java.lang.String toString()

  Give a textual representation of the data.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the textual representation.

### getID

    WhoAmI getID()

  Get the objects ID.

  Returns:
    the id
  See Also:
    `WhoAmI`

### getCreatorID

    WhoAmI getCreatorID()

  Get the creator's ID.

  Returns:
    the id
  See Also:
    `WhoAmI`

### getNumeric

    int getNumeric()

  Get the numeric value. It is completely up to the setter as to what this means.

  Returns:
    value as an int

### getNumericString

    java.lang.String getNumericString()

  Get the numeric value. It is completely up to the setter as to what this means.

  Returns:
    value as a string

### getPriority

    Data.Priority getPriority()

  Get the priority.ed.

  Returns:
    the priority.

### getStamp

    long getStamp()

  Get the timestamp.

  Returns:
    timestamp as a long

### getThing

    java.lang.Object getThing()

  Get the thing (Object).

  Returns:
    the thing

### getType

    Data.Type getType()

  Get the type.

  Returns:
    the type

### getAttributes

    AttributeReader getAttributes()

  Get the attributes.

  Returns:
    the attributes associated with the Data, if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.